Bug 391281 - tzdata processes being blocked
tzdata processes being blocked
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: tzdata (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
:
: 353591 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-19 19:47 EST by Tim McConnell
Modified: 2015-05-04 21:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 01:01:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim McConnell 2007-11-19 19:47:50 EST
Description of problem:
Audit is blocking tzdata especially /usr/share/zoneinfo/GMT 

Version-Release number of selected component (if applicable):
smartmontools-5.37-3.2.fc7 [application]tzdata-

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
See below

Expected results:
tzdata to not be denied

Additional info:
Summary
    SELinux is preventing /usr/sbin/smartd (fsdaemon_t) "getattr" to
    /usr/share/zoneinfo/GMT (unlabeled_t).

Detailed Description
    SELinux denied access requested by /usr/sbin/smartd. It is not expected that
    this access is required by /usr/sbin/smartd and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for /usr/share/zoneinfo/GMT,
    restorecon -v /usr/share/zoneinfo/GMT If this does not work, there is
    currently no automatic way to allow this access. Instead,  you can generate
    a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:fsdaemon_t
Target Context                system_u:object_r:unlabeled_t
Target Objects                /usr/share/zoneinfo/GMT [ file ]
Affected RPM Packages         smartmontools-5.37-3.2.fc7 [application]tzdata-
                              2007h-1.fc7 [target]
Policy RPM                    selinux-policy-2.6.4-48.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     timmieland.private
Platform                      Linux timmieland.private 2.6.22.9-91.fc7 #1 SMP
                              Thu Sep 27 23:10:59 EDT 2007 i686 athlon
Alert Count                   10
First Seen                    Sun 28 Oct 2007 09:11:42 PM MDT
Last Seen                     Tue 30 Oct 2007 09:45:06 PM MDT
Local ID                      4856488f-40de-4594-9119-fdc35bac88be
Line Numbers                  

Raw Audit Messages            

avc: denied { getattr } for comm="smartd" dev=dm-0 egid=0 euid=0
exe="/usr/sbin/smartd" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="GMT"
path="/usr/share/zoneinfo/GMT" pid=2934 scontext=system_u:system_r:fsdaemon_t:s0
sgid=0 subj=system_u:system_r:fsdaemon_t:s0 suid=0 tclass=file
tcontext=system_u:object_r:unlabeled_t:s0 tty=(none) uid=0
Comment 1 Steve Grubb 2007-11-19 21:25:51 EST
The audit system records problems much like syslog does. It is not an access
control system. This appears to be a SE Linux policy problem - transferring.
Comment 2 Daniel Walsh 2007-11-20 07:14:11 EST
Can you restorecon the file?

# restorecon -F -v /usr/share/zoneinfo/GMT

# ls -lZ /usr/share/zoneinfo/GMT
Comment 3 Tim McConnell 2007-11-20 23:12:48 EST
[root@timmieland ~]# restorecon -F -v /usr/share/zoneinfo/GMT
lstat(/usr/share/zoneinfo/GMT) failed: No such file or directory
[root@timmieland ~]# ls -lZ /usr/share/zoneinfo/GMT
ls: cannot access /usr/share/zoneinfo/GMT: No such file or directory

I guess that's a no? 
Comment 4 Daniel Walsh 2007-11-21 08:55:51 EST
So we got an AVC for a file that does not exist?  Something strange is going on
here.
Comment 5 Daniel Walsh 2007-11-21 08:57:37 EST
 ls -lZ /usr/share/zoneinfo/GMT
-rw-r--r--  root root system_u:object_r:locale_t:s0    /usr/share/zoneinfo/GMT
ls -l /usr/share/zoneinfo/GMT
-rw-r--r-- 10 root root 118 2007-11-05 12:09 /usr/share/zoneinfo/GMT


This file should have been provided or created by 

tzdata-2007i-1.fc8
Comment 6 Daniel Walsh 2007-11-21 08:59:01 EST
*** Bug 353591 has been marked as a duplicate of this bug. ***
Comment 7 Daniel Walsh 2007-11-21 09:11:43 EST
If you retrieve this package and do a force install it should recreate the
timezone file.

http://ftp.linux.ncsu.edu/pub/fedora/linux/updates/8/i386/tzdata-2007i-1.fc8.noarch.rpm


# rpm -Uhv --force tzdata-2007i-1.fc8.noarch.rpm 

But that does not explain why this file disappeared and caused the AVC message?
Comment 8 Stephen Smalley 2007-11-21 09:16:47 EST
The other bug said that he was getting I/O errors on the file.  Sounds like a
disk/filesystem problem to me.  Any other messages of interest in /var/log/messages?

The fact that the file showed up as unlabeled_t would be consistent with that -
if  we got an I/O error back from getxattr, we'd leave the inode with the
unlabeled SID.


Comment 9 Petr Machata 2007-11-21 09:19:35 EST
Does `rpm -V tzdata' pass?   I had several mysterious tzdata hiccups reported
recently, for reference bug 355901.
Comment 10 Tim McConnell 2007-11-21 21:24:56 EST
Shows some files missing, I have Fedora Core 7 btw 
I have attached the output of 'rpm -V tzdata |less >  /home/tmick/tzdata.log'
Comment 11 Tim McConnell 2007-11-21 21:32:57 EST
(In reply to comment #5)
>  ls -lZ /usr/share/zoneinfo/GMT
> -rw-r--r--  root root system_u:object_r:locale_t:s0    /usr/share/zoneinfo/GMT
> ls -l /usr/share/zoneinfo/GMT
> -rw-r--r-- 10 root root 118 2007-11-05 12:09 /usr/share/zoneinfo/GMT
> 
> 
> This file should have been provided or created by 
> 
> tzdata-2007i-1.fc8


yum info tzdata
Installed Packages
Name   : tzdata
Arch   : noarch
Version: 2007h
Release: 1.fc7
Size   : 1.7 M
Repo   : installed
Summary: Timezone data

Name   : tzdata
Arch   : noarch
Version: 2007i
Release: 1.fc7
Size   : 747 k
Repo   : updates
Summary: Timezone data

uname - r 
2.6.23.1-21.fc7
 so are you saying I should go to Fedora 8 to fix this? 
Comment 12 Tim McConnell 2007-11-21 21:43:04 EST
(In reply to comment #8)
> The other bug said that he was getting I/O errors on the file.  Sounds like a
> disk/filesystem problem to me.  Any other messages of interest in
/var/log/messages?
> 
> The fact that the file showed up as unlabeled_t would be consistent with that -
> if  we got an I/O error back from getxattr, we'd leave the inode with the
> unlabeled SID.
>  
sd 7:0:0:0: [sdc] Assuming drive cache: write through
sd 7:0:0:0: [sdc] 2001888 512-byte hardware sectors (1025 MB)
sd 7:0:0:0: [sdc] Write Protect is off
sd 7:0:0:0: [sdc] Mode Sense: 03 00 00 00
sd 7:0:0:0: [sdc] Assuming drive cache: write through
 sdc: sdc1
sd 7:0:0:0: [sdc] Attached SCSI removable disk
sd 7:0:0:0: Attached scsi generic sg4 type 0
SELinux: initialized (dev sdc1, type vfat), uses genfs_contexts
usb 1-3: USB disconnect, address 3
usb 1-3: new full speed USB device using ohci_hcd and address 4
usb 1-3: configuration #1 chosen from 1 choice
scsi8 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 4
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 8:0:0:0: Direct-Access     SanDisk  Cruzer Mini      0.2  PQ: 0 ANSI: 2
sd 8:0:0:0: [sdc] 2001888 512-byte hardware sectors (1025 MB)
sd 8:0:0:0: [sdc] Write Protect is off
sd 8:0:0:0: [sdc] Mode Sense: 03 00 00 00
sd 8:0:0:0: [sdc] Assuming drive cache: write through
sd 8:0:0:0: [sdc] 2001888 512-byte hardware sectors (1025 MB)
sd 8:0:0:0: [sdc] Write Protect is off
sd 8:0:0:0: [sdc] Mode Sense: 03 00 00 00
sd 8:0:0:0: [sdc] Assuming drive cache: write through
 sdc: sdc1
sd 8:0:0:0: [sdc] Attached SCSI removable disk
sd 8:0:0:0: Attached scsi generic sg4 type 0
SELinux: initialized (dev sdc1, type vfat), uses genfs_contexts
sr1: CDROM not ready.  Make sure there is a disc in the drive.
sr1: CDROM not ready.  Make sure there is a disc in the drive.
sr1: CDROM not ready.  Make sure there is a disc in the drive.
sr1: CDROM not ready.  Make sure there is a disc in the drive.
sr1: CDROM not ready.  Make sure there is a disc in the drive.
sr1: CDROM not ready.  Make sure there is a disc in the drive.
sr1: CDROM not ready.  Make sure there is a disc in the drive.
sr1: CDROM not ready.  Make sure there is a disc in the drive.
sr1: CDROM not ready.  Make sure there is a disc in the drive.
ppmpat[9876]: segfault at b7fc2000 eip 00b28465 esp bfb5b3f0 error 6

Comment 13 Tim McConnell 2007-11-22 02:41:49 EST
(In reply to comment #10)
> Shows some files missing, I have Fedora Core 7 btw 
> I have attached the output of 'rpm -V tzdata |less >  /home/tmick/tzdata.log'

Okay I try uploading a file and Firefox locks up here are the missing files: 
missing     /usr/share/zoneinfo/Etc/GMT
missing     /usr/share/zoneinfo/Etc/GMT+0
missing     /usr/share/zoneinfo/Etc/GMT-0
missing     /usr/share/zoneinfo/Etc/GMT0
missing     /usr/share/zoneinfo/Etc/Greenwich
missing     /usr/share/zoneinfo/GMT
missing     /usr/share/zoneinfo/GMT+0
missing     /usr/share/zoneinfo/GMT-0
missing     /usr/share/zoneinfo/GMT0
missing     /usr/share/zoneinfo/Greenwich
Comment 14 Petr Machata 2007-11-26 06:20:56 EST
Hm, that's pretty much what I've seen in other bug reports.  I'm not sure who to
blame.  The rpms leave build servers in a good shape, but somewhere along the
way their payload either gets damaged or fails to be correctly installed.  Looks
to me that the disk and filesystem problems mentioned in comment #8 may be the
cause here?
Comment 15 Daniel Walsh 2007-11-26 11:28:51 EST
Well this is not an selinux-policy problem.
Comment 16 Tim McConnell 2007-11-26 21:32:55 EST
Tried running the steps in comment 7 (After modifying them for Fedora 7) . 
I received: 
 rpm -Uhv --force tzdata-2007i-1.fc7.noarch.rpm 
Preparing...                ########################################### [100%]
   1:tzdata                 ########################################### [100%]
error: unpacking of archive failed on file /usr/share/zoneinfo/Etc/GMT: cpio:
rename failed - No such file or directory

another odd thing if I run:
 locate /usr/share/zoneinfo/Etc/
/usr/share/zoneinfo/Etc/GMT
/usr/share/zoneinfo/Etc/GMT+0
/usr/share/zoneinfo/Etc/GMT+0;473792ac
/usr/share/zoneinfo/Etc/GMT+0;473926cb
/usr/share/zoneinfo/Etc/GMT+0;473932ff
/usr/share/zoneinfo/Etc/GMT+0;473a9122
/usr/share/zoneinfo/Etc/GMT+0;473bc2d7
/usr/share/zoneinfo/Etc/GMT+0;473e6b81
/usr/share/zoneinfo/Etc/GMT+0;473f10be
/usr/share/zoneinfo/Etc/GMT+0;47423003
/usr/share/zoneinfo/Etc/GMT+0;4743b340
/usr/share/zoneinfo/Etc/GMT+0;4747b6b1
/usr/share/zoneinfo/Etc/GMT+1
/usr/share/zoneinfo/Etc/GMT+10
/usr/share/zoneinfo/Etc/GMT+11
/usr/share/zoneinfo/Etc/GMT+12
/usr/share/zoneinfo/Etc/GMT+2
/usr/share/zoneinfo/Etc/GMT+3
/usr/share/zoneinfo/Etc/GMT+4
/usr/share/zoneinfo/Etc/GMT+5
/usr/share/zoneinfo/Etc/GMT+6
/usr/share/zoneinfo/Etc/GMT+7
/usr/share/zoneinfo/Etc/GMT+8
/usr/share/zoneinfo/Etc/GMT+9
/usr/share/zoneinfo/Etc/GMT-0
/usr/share/zoneinfo/Etc/GMT-0;473792ac
/usr/share/zoneinfo/Etc/GMT-0;473926cb
/usr/share/zoneinfo/Etc/GMT-0;473932ff
/usr/share/zoneinfo/Etc/GMT-0;473a9122
/usr/share/zoneinfo/Etc/GMT-0;473bc2d7
/usr/share/zoneinfo/Etc/GMT-0;473e6b81
/usr/share/zoneinfo/Etc/GMT-0;473f10be
/usr/share/zoneinfo/Etc/GMT-0;47423003
/usr/share/zoneinfo/Etc/GMT-0;4743b340
/usr/share/zoneinfo/Etc/GMT-0;4747b6b1
/usr/share/zoneinfo/Etc/GMT-1
/usr/share/zoneinfo/Etc/GMT-10
/usr/share/zoneinfo/Etc/GMT-11
/usr/share/zoneinfo/Etc/GMT-12
/usr/share/zoneinfo/Etc/GMT-13
/usr/share/zoneinfo/Etc/GMT-14
/usr/share/zoneinfo/Etc/GMT-2
/usr/share/zoneinfo/Etc/GMT-3
/usr/share/zoneinfo/Etc/GMT-4
/usr/share/zoneinfo/Etc/GMT-5
/usr/share/zoneinfo/Etc/GMT-6
/usr/share/zoneinfo/Etc/GMT-7
/usr/share/zoneinfo/Etc/GMT-8
/usr/share/zoneinfo/Etc/GMT-9
/usr/share/zoneinfo/Etc/GMT0
/usr/share/zoneinfo/Etc/GMT0;473792ac
/usr/share/zoneinfo/Etc/GMT0;473926cb
/usr/share/zoneinfo/Etc/GMT0;473932ff
/usr/share/zoneinfo/Etc/GMT0;473a9122
/usr/share/zoneinfo/Etc/GMT0;473bc2d7
/usr/share/zoneinfo/Etc/GMT0;473e6b81
/usr/share/zoneinfo/Etc/GMT0;473f10be
/usr/share/zoneinfo/Etc/GMT0;47423003
/usr/share/zoneinfo/Etc/GMT0;4743b340
/usr/share/zoneinfo/Etc/GMT0;4747b6b1
/usr/share/zoneinfo/Etc/GMT;473792ac
/usr/share/zoneinfo/Etc/GMT;473926cb
/usr/share/zoneinfo/Etc/GMT;473932ff
/usr/share/zoneinfo/Etc/GMT;473a9122
/usr/share/zoneinfo/Etc/GMT;473bc2d7
/usr/share/zoneinfo/Etc/GMT;473e6b81
/usr/share/zoneinfo/Etc/GMT;473f10be
/usr/share/zoneinfo/Etc/GMT;47423003
/usr/share/zoneinfo/Etc/GMT;4743b340
/usr/share/zoneinfo/Etc/GMT;4747b6b1
/usr/share/zoneinfo/Etc/Greenwich
/usr/share/zoneinfo/Etc/Greenwich;473792ac
/usr/share/zoneinfo/Etc/Greenwich;473926cb
/usr/share/zoneinfo/Etc/Greenwich;473932ff
/usr/share/zoneinfo/Etc/Greenwich;473a9122
/usr/share/zoneinfo/Etc/Greenwich;473bc2d7
/usr/share/zoneinfo/Etc/Greenwich;473e6b81
/usr/share/zoneinfo/Etc/Greenwich;473f10be
/usr/share/zoneinfo/Etc/Greenwich;47423003
/usr/share/zoneinfo/Etc/Greenwich;4743b340
/usr/share/zoneinfo/Etc/Greenwich;4747b6b1
/usr/share/zoneinfo/Etc/UCT
/usr/share/zoneinfo/Etc/UTC
/usr/share/zoneinfo/Etc/Universal
/usr/share/zoneinfo/Etc/Zulu
 but if I run: 
ls -al locate /usr/share/zoneinfo/Etc/
ls: cannot access locate: No such file or directory
ls: cannot access mkdir /usr/share/zoneinfo/Etc/Greenwich: No such file or directory
ls: cannot access /usr/share/zoneinfo/Etc/GMT: No such file or directory
ls: cannot access /usr/share/zoneinfo/Etc/GMT0: No such file or directory
ls: cannot access /usr/share/zoneinfo/Etc/GMT+0: No such file or directory
ls: cannot access /usr/share/zoneinfo/Etc/GMT-0: No such file or directory
/usr/share/zoneinfo/Etc/:
total 776
drwxr-xr-x  2 root root 4096 2007-11-26 19:14 .
drwxr-xr-x 21 root root 4096 2007-11-26 19:14 ..
-?????????  ? ?    ?       ?                ? GMT
-?????????  ? ?    ?       ?                ? GMT0
-?????????  ? ?    ?       ?                ? GMT-0
-?????????  ? ?    ?       ?                ? GMT+0
-rw-rw-r-- 10 root root  118 2007-11-11 17:05 GMT-0;473792ac
-rw-rw-r-- 10 root root  118 2007-11-11 17:05 GMT+0;473792ac
-rw-rw-r-- 10 root root  118 2007-11-11 17:05 GMT0;473792ac
-rw-rw-r-- 10 root root  118 2007-11-12 21:24 GMT-0;473926cb
-rw-rw-r-- 10 root root  118 2007-11-12 21:24 GMT+0;473926cb
-rw-rw-r-- 10 root root  118 2007-11-12 21:24 GMT0;473926cb
-rw-rw-r-- 10 root root  118 2007-11-12 23:43 GMT-0;473932ff
-rw-rw-r-- 10 root root  118 2007-11-12 23:43 GMT+0;473932ff
-rw-rw-r-- 10 root root  118 2007-11-12 23:43 GMT0;473932ff
-rw-rw-r-- 10 root root  118 2007-11-13 23:10 GMT-0;473a9122
-rw-rw-r-- 10 root root  118 2007-11-13 23:10 GMT+0;473a9122
-rw-rw-r-- 10 root root  118 2007-11-13 23:10 GMT0;473a9122
-rw-rw-r-- 10 root root  118 2007-11-14 20:54 GMT-0;473bc2d7
-rw-rw-r-- 10 root root  118 2007-11-14 20:54 GMT+0;473bc2d7
-rw-rw-r-- 10 root root  118 2007-11-14 20:54 GMT0;473bc2d7
-rw-rw-r-- 10 root root  118 2007-11-16 21:21 GMT-0;473e6b81
-rw-rw-r-- 10 root root  118 2007-11-16 21:21 GMT+0;473e6b81
-rw-rw-r-- 10 root root  118 2007-11-16 21:21 GMT0;473e6b81
-rw-rw-r-- 10 root root  118 2007-11-17 09:03 GMT-0;473f10be
-rw-rw-r-- 10 root root  118 2007-11-17 09:03 GMT+0;473f10be
-rw-rw-r-- 10 root root  118 2007-11-17 09:03 GMT0;473f10be
-rw-r--r-- 10 root root  118 2007-11-19 17:53 GMT-0;47423003
-rw-r--r-- 10 root root  118 2007-11-19 17:53 GMT+0;47423003
-rw-r--r-- 10 root root  118 2007-11-19 17:53 GMT0;47423003
-rw-rw-r-- 10 root root  118 2007-11-20 21:25 GMT-0;4743b340
-rw-rw-r-- 10 root root  118 2007-11-20 21:25 GMT+0;4743b340
-rw-rw-r-- 10 root root  118 2007-11-20 21:25 GMT0;4743b340
-rw-rw-r-- 10 root root  118 2007-11-23 23:10 GMT-0;4747b6b1
-rw-rw-r-- 10 root root  118 2007-11-23 23:10 GMT+0;4747b6b1
-rw-rw-r-- 10 root root  118 2007-11-23 23:10 GMT0;4747b6b1
-rw-r--r-- 10 root root  118 2007-11-26 18:29 GMT-0;474b730c
-rw-r--r-- 10 root root  118 2007-11-26 18:29 GMT+0;474b730c
-rw-r--r-- 10 root root  118 2007-11-26 18:29 GMT0;474b730c
-rw-r--r-- 10 root root  118 2007-11-26 18:50 GMT-0;474b77da
-rw-r--r-- 10 root root  118 2007-11-26 18:50 GMT+0;474b77da
-rw-r--r-- 10 root root  118 2007-11-26 18:50 GMT0;474b77da
-rw-r--r-- 10 root root  118 2007-11-26 19:14 GMT-0;474b7cd7
-rw-r--r-- 10 root root  118 2007-11-26 19:14 GMT+0;474b7cd7
-rw-r--r-- 10 root root  118 2007-11-26 19:14 GMT0;474b7cd7
-rw-r--r--  1 root root  127 2007-11-06 07:02 GMT-1
-rw-r--r--  1 root root  126 2007-11-06 07:02 GMT+1
-rw-r--r--  1 root root  131 2007-11-06 07:02 GMT-10
-rw-r--r--  1 root root  130 2007-11-06 07:02 GMT+10
-rw-r--r--  1 root root  131 2007-11-06 07:02 GMT-11
-rw-r--r--  1 root root  130 2007-11-06 07:02 GMT+11
-rw-r--r--  1 root root  131 2007-11-06 07:02 GMT-12
-rw-r--r--  1 root root  130 2007-11-06 07:02 GMT+12
-rw-r--r--  1 root root  131 2007-11-06 07:02 GMT-13
-rw-r--r--  1 root root  131 2007-11-06 07:02 GMT-14
-rw-r--r--  1 root root  127 2007-11-06 07:02 GMT-2
-rw-r--r--  1 root root  126 2007-11-06 07:02 GMT+2
-rw-r--r--  1 root root  127 2007-11-06 07:02 GMT-3
-rw-r--r--  1 root root  126 2007-11-06 07:02 GMT+3
-rw-r--r--  1 root root  127 2007-11-06 07:02 GMT-4
-rw-r--r--  1 root root  126 2007-11-06 07:02 GMT+4
-rw-rw-r-- 10 root root  118 2007-11-11 17:05 GMT;473792ac
-rw-rw-r-- 10 root root  118 2007-11-12 21:24 GMT;473926cb
-rw-rw-r-- 10 root root  118 2007-11-12 23:43 GMT;473932ff
-rw-rw-r-- 10 root root  118 2007-11-13 23:10 GMT;473a9122
-rw-rw-r-- 10 root root  118 2007-11-14 20:54 GMT;473bc2d7
-rw-rw-r-- 10 root root  118 2007-11-16 21:21 GMT;473e6b81
-rw-rw-r-- 10 root root  118 2007-11-17 09:03 GMT;473f10be
-rw-r--r-- 10 root root  118 2007-11-19 17:53 GMT;47423003
-rw-rw-r-- 10 root root  118 2007-11-20 21:25 GMT;4743b340
-rw-rw-r-- 10 root root  118 2007-11-23 23:10 GMT;4747b6b1
-rw-r--r-- 10 root root  118 2007-11-26 18:29 GMT;474b730c
-rw-r--r-- 10 root root  118 2007-11-26 18:50 GMT;474b77da
-rw-r--r-- 10 root root  118 2007-11-26 19:14 GMT;474b7cd7
-rw-r--r--  1 root root  127 2007-11-06 07:02 GMT-5
-rw-r--r--  1 root root  126 2007-11-06 07:02 GMT+5
-rw-r--r--  1 root root  127 2007-11-06 07:02 GMT-6
-rw-r--r--  1 root root  126 2007-11-06 07:02 GMT+6
-rw-r--r--  1 root root  127 2007-11-06 07:02 GMT-7
-rw-r--r--  1 root root  126 2007-11-06 07:02 GMT+7
-rw-r--r--  1 root root  127 2007-11-06 07:02 GMT-8
-rw-r--r--  1 root root  126 2007-11-06 07:02 GMT+8
-rw-r--r--  1 root root  127 2007-11-06 07:02 GMT-9
-rw-r--r--  1 root root  126 2007-11-06 07:02 GMT+9
-?????????  ? ?    ?       ?                ? Greenwich
-rw-rw-r-- 10 root root  118 2007-11-11 17:05 Greenwich;473792ac
-rw-rw-r-- 10 root root  118 2007-11-12 21:24 Greenwich;473926cb
-rw-rw-r-- 10 root root  118 2007-11-12 23:43 Greenwich;473932ff
-rw-rw-r-- 10 root root  118 2007-11-13 23:10 Greenwich;473a9122
-rw-rw-r-- 10 root root  118 2007-11-14 20:54 Greenwich;473bc2d7
-rw-rw-r-- 10 root root  118 2007-11-16 21:21 Greenwich;473e6b81
-rw-rw-r-- 10 root root  118 2007-11-17 09:03 Greenwich;473f10be
-rw-r--r-- 10 root root  118 2007-11-19 17:53 Greenwich;47423003
-rw-rw-r-- 10 root root  118 2007-11-20 21:25 Greenwich;4743b340
-rw-rw-r-- 10 root root  118 2007-11-23 23:10 Greenwich;4747b6b1
-rw-r--r-- 10 root root  118 2007-11-26 18:29 Greenwich;474b730c
-rw-r--r-- 10 root root  118 2007-11-26 18:50 Greenwich;474b77da
-rw-r--r-- 10 root root  118 2007-11-26 19:14 Greenwich;474b7cd7
-rw-r--r--  2 root root  118 2007-11-06 07:02 UCT
-rw-r--r--  6 root root  118 2007-11-06 07:02 Universal
-rw-r--r--  6 root root  118 2007-11-06 07:02 UTC
-rw-r--r--  6 root root  118 2007-11-06 07:02 Zulu

Why can locate find the files that ls -al states are missing? 
If I try:
mkdir /usr/share/zoneinfo/Etc/Greenwich
mkdir: cannot create directory `/usr/share/zoneinfo/Etc/Greenwich': No such file
or directory

How do I check ownership of those files? 
Comment 17 Petr Machata 2007-11-27 07:10:56 EST
First, `ls -la locate /usr/share/zoneinfo/Etc/' probably doesn't do what you
think it does, namely list all the files that locate finds. `locate
/usr/share/zoneinfo/Etc/ | xargs ls -la' would do that.  That explains the
following one line:
ls: cannot access locate: No such file or directory

Now locate really can "find" the files that are physically missing, because it
searches through a database, not an actual filesystem.  `updatedb' is the
program that generates these database files.

The other "No such file or directory" errors are probably caused by the
filesystem problem.  The directory reports that it contains these files, but an
attempt to open them fails.  `ls' then marks these files with "?" to show there
was a problem.  In short: your filesystem went awol.

To work around the immediate problem, I'd rename the /usr/share/zoneinfo e.g. to
/usr/share/broken-zoneinfo, to sweep the erroneous inodes under the rug; rpm -U
--force tzdata would then, hopefully, create the tree again, cleanly. But that's
quite a hack, and even if it works, the problem with your filesystem still
persists. `fsck' may be helpful in fixing the real problem.

In conclusion: this doesn't seem to be problem in tzdata.
Comment 18 Tim McConnell 2007-11-27 21:14:47 EST
"the problem with your filesystem still
persists. `fsck' may be helpful in fixing the real problem.

In conclusion: this doesn't seem to be problem in tzdata." 

Okay it still doesn't explain why tzdata is appearing to be the only one missing
files, but I will try the above steps.  I was kinda hoping there was a file that
would show how/why the files got screwed up in the first place so I could try to
prevent this in the future but if there aren't any then I guess that's life in
the big city. Thanks. 
Comment 19 Ulrich Drepper 2007-11-28 05:43:49 EST
(In reply to comment #18)> Okay it still doesn't explain why tzdata is appearing
to be the only one missing
> files, but I will try the above steps.

tzdata is one of a few packages which make extensive use of hardlinks.  If your
filesystem has problems the many hardlinks might trigger a problem.
Comment 20 Tim McConnell 2007-11-29 01:01:17 EST
okay I moved zoneinfo to zoneinfo.old and ran rpm as you suggested the files are
back. Close the case I will run fsck tonight. I ran fslint and found nothing as
far as bad links and gnome cleaner found 21 keys. Thanks for the help. 

Note You need to log in before you can comment on or make changes to this bug.